package com.upc.pbe.upcnews;

import java.util.ArrayList;

public class Video {

	private double quality; //Indica la qualitat
	private int sequenceFirst;
	private int maxDuration;
	private ArrayList<Segment> segments; //Lista de SEGMENTOS

	public Video(double q){
		quality = q;
		segments = new ArrayList<Segment>();
	}
	
	public void setSequence(int seq){
		sequenceFirst = seq;
	}
	
	public int getSequence(){
		return sequenceFirst;
	}
	
	public void setMaxDuration(int dur){
		maxDuration = dur;
	}
	
	public int getMaxDuration(){
		return maxDuration;
	}
	
	public double getQuality(){
		return quality;
	}
	
	public void setQuality(double q){
		quality = q;
	}
	
	public ArrayList<Segment> getSegments(){
		return segments;
	}
}